<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_margin="10dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:background="@drawable/bg_ad_border_ffffff"
        android:baselineAligned="false"
        android:orientation="vertical"
        android:padding="10dp"
        tools:ignore="UselessParent">

        <FrameLayout
            android:id="@+id/ad_media"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_gravity="center_vertical"
            android:layout_marginTop="10dp"
            android:layout_weight="1" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">


            <ImageView
                android:id="@+id/ad_app_icon"
                android:layout_width="46dp"
                android:layout_height="46dp"
                android:layout_gravity="center_vertical"
                tools:ignore="ContentDescription" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="8dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout

                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:background="#FF923E"
                        android:padding="2dp"
                        android:paddingHorizontal="3dp"
                        android:text="Ad"
                        android:textColor="@color/white"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/ad_headline"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="5dp"
                        android:ellipsize="end"
                        android:maxLines="2"
                        android:textColor="@color/black"
                        android:textSize="14sp"
                        android:textStyle="bold" />
                </LinearLayout>

                <TextView
                    android:id="@+id/ad_body"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:maxLines="2"
                    android:textColor="@color/black"
                    android:textSize="12sp" />


            </LinearLayout>

            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/ad_call_to_action"
                android:layout_width="wrap_content"
                android:layout_height="38dp"
                android:layout_gravity="center_vertical"
                android:background="@drawable/bg_ad_button_0073c3"
                android:gravity="center"
                android:textAllCaps="false"
                android:textColor="@color/white"
                android:textSize="15sp"
                tools:text="Install" />

        </LinearLayout>


    </LinearLayout>

</FrameLayout>